<?xml version="1.0" encoding="utf-8" ?>
<odoo>
    <record id="action_up_select_form" model="ir.ui.view">
            <field name="name">CNC工单</field>
            <field name="model">up.select.wizard</field>
            <field name="arch" type="xml">
                 <form>
                     <group>
                          <field name="workcenter_id"/>
                          <field name="workorder_id"/>
                     </group>
                     <group>
                          <field name="program_ids" widget='many2many_tags' domain="[('workorder_id', '=', workorder_id)]"/>
<!--                          <field name="program_ids" domain="[('workorder_id', '=', workorder_id)]"/>-->
                     </group>
                     <footer>
                         <button string="合并下发" name="confirm_up" type="object" class="btn-primary" confirm="是否确认合并下发"/>
                         <button string="取消" class="btn-secondary" special="cancel"/>
                     </footer>
                 </form>
            </field>
    </record>
    <record id="action_up_select" model="ir.actions.act_window">
        <field name="name">选择要下发的NC程序</field>
        <field name="type">ir.actions.act_window</field>
<!--        <field name="res_model">up.select.wizard</field>-->
        <field name="res_model">up.select.wizard</field>
        <field name="view_mode">form</field>
        <field name="view_id" ref="action_up_select_form"/>
        <field name="target">new</field>
    </record>


</odoo>